Subject: [bug#49235] [PATCH] gnu: Add oneko.

From: Leo Prikler <[email-masked]>
Date: Sun, 27 Jun 2021 21:24:00 +0200

Am Sonntag, den 27.06.2021, 21:06 +0200 schrieb Timotej Lazar:
> Leo Prikler <[email-masked]> [2021-06-27
> 20:24:04+0200]:
> > Is man/$LANG/man the way this should be structured?
> 
> I followed the pattern for existing manpages in my profile. `man -L
> ja
> oneko` also returns the correct page. On a related note, would it be
> a
> good idea to change the encoding from ISO-2022-JP to utf-8? `iconv`
> produces a file that at least looks correct.
"In that case go on" to the former and "yes" to the latter.

> > For the patch, I think that it deserves a better name +
> > comment.  The
> > copyright in those cases is not unclear – it is very clear who owns
> > those bitmaps, and in at least one case it's further clear that the
> > owner doesn't want others to reuse them.
> 
> I am not sure if the copyright actually covers *all* depictions of
> the
> BSD daemon (and others), or just the (variatons of) the original
> image.
> But I’ll reword the comment to say “nonfree” instead.
I think the Debian patch says it best in that there might be copyright
issues.

> > The snippet should probably also remove the .include files, which
> > at
> > least seem referenced in the code.
> 
> Those includes are patched out. Just in case I’ll change the snippet
> to
> remove whole directories instead of just the *xbm files.
To be fair, I only looked at the snippet, not what it produced, so it
might actually be that it already did the correct thing.  Are there
directory, which are matched by .*\\.xbm?

Regards,
Leo